{
  "type": "minecraft:fishing",
  "pools": [
    {
      "rolls": 1,
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "minecraft:gameplay/fishing/junk",
          "weight": 10,
          "quality": -2
        },
        {
          "type": "minecraft:loot_table",
          "value": "minecraft:gameplay/fishing/treasure",
          "weight": 2,
          "quality": 3,
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "type_specific": {
                  "type": "minecraft:fishing_hook",
                  "in_open_water": true
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:loot_table",
          "value": "survivalplus:gameplay/fishing/treasure",
          "weight": 3,
          "quality": 3,
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "type_specific": {
                  "type": "minecraft:fishing_hook",
                  "in_open_water": true
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:loot_table",
          "value": "minecraft:gameplay/fishing/fish",
          "weight": 80,
          "quality": -1
        },
        {
          "type": "minecraft:loot_table",
          "value": "survivalplus:gameplay/fishing/crates",
          "weight": 2,
          "quality": 3,
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "type_specific": {
                  "type": "minecraft:fishing_hook",
                  "in_open_water": true
                }
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:stick",
          "weight": 5,
          "quality": 0,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{customfish:tag,del:tag}"
            }
          ],
          "conditions": [
            {
              "condition": "minecraft:entity_properties",
              "entity": "this",
              "predicate": {
                "type_specific": {
                  "type": "minecraft:fishing_hook",
                  "in_open_water": true
                }
              }
            }
          ]
        }
      ]
    }
  ]
}